| Home | Libraries | People | FAQ | More

##### any_connection::uses_ssl

Returns whether the connection negotiated the use of SSL or not.

###### Synopsis

    bool
    uses_ssl() const noexcept;

###### Description

This function can be used to determine whether you are using a SSL connection or not when using SSL negotiation.

This function always returns `false` for connections that haven't been established yet. If the connection establishment fails, the return value is undefined.

###### Exception safety

No-throw guarantee.